Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.rs.util
Class RegistryResourceFactoryImpl

    java.lang.Object
      org.eclipse.emf.ecore.resource.impl.ResourceFactoryImpl
          org.eclipse.ohf.ihe.common.ebxml._2._1.rs.util.RegistryResourceFactoryImpl

All Implemented Interfaces:
  org.eclipse.emf.ecore.resource.Resource.Factory

    public class RegistryResourceFactoryImpl

extends org.eclipse.emf.ecore.resource.impl.ResourceFactoryImpl

The Resource Factory associated with the package.

See Also:
  `RegistryResourceImpl`

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.resource.Resource.Factory
`org.eclipse.emf.ecore.resource.Resource.Factory.Descriptor, org.eclipse.emf.ecore.resource.Resource.Factory.Registry`

Constructor Summary
`RegistryResourceFactoryImpl()` Creates an instance of the resource factory.

Method Summary
`org.eclipse.emf.ecore.resource.Resource` | `createResource(org.eclipse.emf.common.util.URI uri)` Creates an instance of the resource.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegistryResourceFactoryImpl

    public RegistryResourceFactoryImpl()

  Creates an instance of the resource factory.

Method Detail

### createResource

    public org.eclipse.emf.ecore.resource.Resource createResource(org.eclipse.emf.common.util.URI uri)

  Creates an instance of the resource.

  Specified by:
    `createResource` in interface `org.eclipse.emf.ecore.resource.Resource.Factory`
  Overrides:
    `createResource` in class `org.eclipse.emf.ecore.resource.impl.ResourceFactoryImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD